# Conditional build:
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
# TODO:
# - use system fonts (cm*.ttf) and metrics in mpl-data dir?
# - make sure all dependencies that are available for Python3 are build for Python3
#   and included in BR when neccessary
%define		module	matplotlib
Summary:	Matlab(TM) style Python plotting package
Summary(pl.UTF-8):	Pakiet do rysowania w Pythonie podobny do Matlaba(TM)
Name:		python-%{module}
Version:	1.2.1
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/matplotlib/%{module}-%{version}.tar.gz
# Source0-md5:	326a959c4c3f85417a3daf805cfb54f9
URL:		http://matplotlib.sourceforge.net/
BuildRequires:	freetype-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
%if %{with python2}
BuildRequires:	python >= 1:2.6
BuildRequires:	python-PyQt
BuildRequires:	python-PyQt4
BuildRequires:	python-dateutil
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel >= 1:1.0.3
BuildRequires:	python-numpy-numarray-devel
BuildRequires:	python-pygtk-devel
BuildRequires:	python-pytz
# Need for import pyqtconfig needed by qt detection.
BuildRequires:	python-sip-devel
BuildRequires:	python-tkinter
BuildRequires:	python-wxPython
%pyrequires_eq	python-modules
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-2to3
#BuildRequires:	python3-PyQt
#BuildRequires:	python3-PyQt4
BuildRequires:	python3-dateutil
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel >= 1:1.0.3
BuildRequires:	python3-numpy-numarray-devel
BuildRequires:	python3-pytz
# Need for import pyqtconfig needed by qt detection.
#BuildRequires:	python3-sip-devel
BuildRequires:	python3-six
BuildRequires:	python3-tkinter
#BuildRequires:	python3-wxPython
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	tk-devel
Requires:	python-dateutil
Requires:	python-numpy >= 1:1.1
Requires:	python-numpy-oldnumeric
Requires:	python-pytz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
matplotlib strives to produce publication quality 2D graphics using
matlab plotting for inspiration. Although the main lib is object
oriented, there is a functional interface "pylab" for people coming
from Matlab.

%description -l pl.UTF-8
matplotlib usiłuje tworzyć grafikę 2D o jakości publikacji przy użyciu
wykresów matlaba jako inspiracji. Chociaż główna biblioteka jest
zorientowana obiektowo, jest interfejs funkcyjny "pylab" dla ludzi
przechodzących z Matlaba.

%package -n python3-%{module}
Summary:	Matlab(TM) style Python 3 plotting package
Summary(pl.UTF-8):	Pakiet do rysowania w Pythonie 3 podobny do Matlaba(TM)
Group:		Libraries/Python
Requires:	python3-six
Requires:	python3-dateutil
Requires:	python3-numpy
Requires:	python3-pytz

%description -n python3-%{module}
matplotlib strives to produce publication quality 2D graphics using
matlab plotting for inspiration. Although the main lib is object
oriented, there is a functional interface "pylab" for people coming
from Matlab.

%description -n python3-%{module} -l pl.UTF-8
matplotlib usiłuje tworzyć grafikę 2D o jakości publikacji przy użyciu
wykresów matlaba jako inspiracji. Chociaż główna biblioteka jest
zorientowana obiektowo, jest interfejs funkcyjny "pylab" dla ludzi
przechodzących z Matlaba.

%prep
%setup -q -n %{module}-%{version}

rm -f setup.cfg

%build
export CFLAGS="%{rpmcflags}"

%if %{with python2}
%{__python} setup.py build
%endif

%if %{with python3}
%{__python3} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# matplotlib can use system fonts, so drop these copies
rm -f $RPM_BUILD_ROOT%{py_sitedir}/matplotlib/mpl-data/Vera*.ttf

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/%{module}/tests
%endif

%if %{with python3}
%{__python3} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}

# matplotlib can use system fonts, so drop these copies
rm -f $RPM_BUILD_ROOT%{py3_sitedir}/matplotlib/mpl-data/Vera*.ttf

rm -rf $RPM_BUILD_ROOT%{py3_sitedir}/%{module}/tests
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGELOG README.txt TODO
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%dir %{py_sitedir}/%{module}/backends
%{py_sitedir}/%{module}/backends/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/backends/*.so
%dir %{py_sitedir}/%{module}/backends/qt4_editor
%{py_sitedir}/%{module}/backends/qt4_editor/*.py[co]
%dir %{py_sitedir}/%{module}/backends/Matplotlib.nib
%{py_sitedir}/%{module}/backends/Matplotlib.nib/*.nib
%{py_sitedir}/%{module}/delaunay
%{py_sitedir}/%{module}/mpl-data
%{py_sitedir}/%{module}/projections
%{py_sitedir}/%{module}/sphinxext
%{py_sitedir}/%{module}/testing
%{py_sitedir}/%{module}/tri

%{py_sitedir}/mpl_toolkits
%{py_sitedir}/pylab.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitedir}/%{module}-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGELOG README.txt TODO
%dir %{py3_sitedir}/%{module}
%{py3_sitedir}/%{module}/*.py
%{py3_sitedir}/%{module}/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/*.so
%dir %{py3_sitedir}/%{module}/backends
%{py3_sitedir}/%{module}/backends/*.py
%{py3_sitedir}/%{module}/backends/__pycache__
%attr(755,root,root) %{py3_sitedir}/%{module}/backends/*.so
%dir %{py3_sitedir}/%{module}/backends/qt4_editor
%{py3_sitedir}/%{module}/backends/qt4_editor/*.py
%{py3_sitedir}/%{module}/backends/qt4_editor/__pycache__
%dir %{py3_sitedir}/%{module}/backends/Matplotlib.nib
%{py3_sitedir}/%{module}/backends/Matplotlib.nib/*.nib
%{py3_sitedir}/%{module}/delaunay
%{py3_sitedir}/%{module}/mpl-data
%{py3_sitedir}/%{module}/projections
%{py3_sitedir}/%{module}/sphinxext
%{py3_sitedir}/%{module}/testing
%{py3_sitedir}/%{module}/tri
%{py3_sitedir}/mpl_toolkits
%{py3_sitedir}/pylab.py
%{py3_sitedir}/__pycache__
%{py3_sitedir}/%{module}-*.egg-info
%endif
%changelog
* Thu Oct 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-matplotlib.git;a=log;h=auto/th/python-matplotlib-1.2.1-5

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c1f573
- python 3.4
- release 5 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 87cad0d
- tcl rebuild
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a1700fb
- release 3 (by relup.sh)

* Fri Jul 19 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 4caaa5c
- python3-matplotlib dependencies fixed

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 44b7835
- python3 support added

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> c8e6996
- Package *.nib files

* Wed Jul 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 1df491b
- Version: 1.2.1

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> 80a75b8
- updated to 1.1.0

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a449231
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e2ba3cf
- release 2

* Wed Feb 02 2011 zbyniu <zbyniu@pld-linux.org> fba4844
- up to 1.0.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fed8a40
- BR: rpm-pythonprov

* Tue Oct 26 2010 Jan Rękorajski <baggins@pld-linux.org> b993ff7
- rel 2

* Wed Jul 28 2010 Jan Rękorajski <baggins@pld-linux.org> 4a5f01d
- rel 1

* Wed Jul 28 2010 Jan Rękorajski <baggins@pld-linux.org> 1b7b491
- updated files

* Wed Jul 28 2010 Jan Rękorajski <baggins@pld-linux.org> e7c18ff
- 1.0.0

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> fc50a88
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 82a482b
- release 2

* Mon Jun 07 2010 arvenil <arvenil@pld-linux.org> 60d13b2
- up to 0.99.3
- libpng.patch no more needed
- release 1

* Thu Feb 11 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 07c41b0
- added -libpng.patch
- release 3

